Subject: Re: bug#18445: glib failing to build

From: [email-masked] (Ludovic Courtès)
Date: Tue, 02 Dec 2014 23:08:20 +0100

[email-masked] skribis:

> PASS: defaultvalue 77 /Default Values/GVolumeMonitor
> PASS: defaultvalue 78 /Default Values/GZlibCompressor
> PASS: defaultvalue 79 /Default Values/GZlibDecompressor
> tap-driver.sh: internal error getting exit status
> tap-driver.sh: fatal: I/O or internal error
> Makefile:3691: recipe for target 'defaultvalue.log' failed

We’re having the same error, in a slightly different place, at
<http://hydra.gnu.org/build/168859/>:

--8<---------------cut here---------------start------------->8---
PASS: gdbus-proxy 3 /gdbus/proxy/wellknown-noauto
PASS: gdbus-proxy 4 /gdbus/proxy/async
PASS: gdbus-proxy-threads 1 /gdbus/proxy/vs-threads
tap-driver.sh: internal error getting exit status
tap-driver.sh: fatal: I/O or internal error
Makefile:4096: recipe for target 'gdbus-proxy-threads.log' failed
make[8]: *** [gdbus-proxy-threads.log] Error 1
make[8]: Leaving directory '/tmp/nix-build-glib-2.40.0.drv-0/glib-2.40.0/gio/tests'
Makefile:3592: recipe for target 'check-TESTS' failed
m--8<---------------cut here---------------end--------------->8---

I built it locally and got another error:

--8<---------------cut here---------------start------------->8---
PASS: gapplication 1 /gapplication/no-dbus
PASS: gapplication 2 /gapplication/no-appid
PASS: gapplication 3 /gapplication/properties
PASS: gapplication 4 /gapplication/app-id
ERROR: gapplication - missing test plan
ERROR: gapplication - exited with status 134 (terminated by signal 6?)
--8<---------------cut here---------------end--------------->8---

where gapplication.log reads this:

--8<---------------cut here---------------start------------->8---
# random seed: R02S5b9338846cb34d3593b1becfb1a22081
# Start of gapplication tests
ok 1 /gapplication/no-dbus
PASS: gapplication 1 /gapplication/no-dbus
ok 2 /gapplication/no-appid
PASS: gapplication 2 /gapplication/no-appid
ok 3 /gapplication/properties
PASS: gapplication 3 /gapplication/properties
Failed to register: The connection is closed
**
GLib-GIO:ERROR:gapplication.c:564:test_quit: assertion failed: (activated)
ok 4 /gapplication/app-id
PASS: gapplication 4 /gapplication/app-id
../../tap-test: line 5: 24084 Aborted                 $1 -k --tap
# GLib-GIO:ERROR:gapplication.c:564:test_quit: assertion failed: (activated)
cleaning up pid 24105
ERROR: gapplication - missing test plan
ERROR: gapplication - exited with status 134 (terminated by signal 6?)
--8<---------------cut here---------------end--------------->8---

So it sounds like some of the tests are a bit racy.

I see there’s a 2.40.2 release, perhaps worth a try...

Ludo’.